/** EMULib Emulation Library *********************************/
/**                                                         **/
/**                         ComUnix.h                       **/
/**                                                         **/
/** This file contains standard communication routines for  **/
/** Unix using TCP/IP via sockets.                          **/
/**                                                         **/
/** Copyright (C) Marat Fayzullin 1997-1998                 **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/
#ifndef COMUNIX_H
#define COMUNIX_H
#ifdef UNIX

/** Connect() ************************************************/
/** Establish TCP/IP connection. When Server=0, this side   **/
/** will immediately become a server. Otherwise, it will    **/
/** first try to connect to a given server as a client and  **/
/** become a server if this fails. Returns -1 on failure,   **/
/** or socket handle otherwise.                             **/
/*************************************************************/
int Connect(const char *Server,unsigned short Port);

/** RecvByte() ***********************************************/
/** Receive a single byte from a socket. Returns 0 on       **/
/** failure, or 1 on success.                               **/
/*************************************************************/
int RecvByte(int Socket,unsigned char *Value);

/** SendByte() ***********************************************/
/** Send a single byte to a socket. Returns 0 on failure,   **/
/** or 1 on success.                                        **/
/*************************************************************/
int SendByte(int Socket,unsigned char Value);

#endif /* UNIX */
#endif /* COMUNIX_H */
